import { ISemver, IRangedSemver } from '../semver';
import { IBrowser, IBrowsers, IRangedBrowsers } from './types';
/**
 * Merge browser info object to map with versions.
 * @param browsers - Browser info object to merge.
 * @returns Merged browsers map.
 */
export declare function mergeBrowserVersions(browsers: IBrowser[]): IBrowsers;
/**
 * Versions to ranged versions.
 * @param versions - Semver versions list.
 * @returns Ranged versions list.
 */
export declare function versionsListToRanges(versions: ISemver[]): IRangedSemver[];
/**
 * Browser versions to ranged versions.
 * @param browsers - Browser map with versions.
 * @returns Browser map with ranged versions.
 */
export declare function browserVersionsToRanges(browsers: IBrowsers): IRangedBrowsers;
//# sourceMappingURL=optimize.d.ts.map