import { IUserAgentRegExpOptions } from './types';
export declare const defaultOptions: {
    ignoreMinor: boolean;
    ignorePatch: boolean;
    allowZeroSubversions: boolean;
    allowHigherVersions: boolean;
};
/**
 * Compile browserslist query to RegExps.
 * @param options - Browserslist and semver compare options.
 * @returns Objects with info about compiled RegExps.
 */
export declare function getUserAgentRegExps(options?: IUserAgentRegExpOptions): import("../useragent").IBrowserVersionedRegExp[];
/**
 * Compile browserslist query to RegExp.
 * @param options - Browserslist and semver compare options.
 * @returns Compiled RegExp.
 */
export declare function getUserAgentRegExp(options?: IUserAgentRegExpOptions): RegExp;
//# sourceMappingURL=useragentRegexp.d.ts.map